Support » Themes » FTP-Zugangsdaten für XAMPP mit WordPress

  • Hallo, nachdem ich ein neues Theme installieren möchte, erscheint folgende Fehlermeldung: „

    Verbindungsinformation

    Um diese Aktion durchführen zu können, benötigt WordPress Zugriff auf deinen Webserver. Bitte gib die FTP-Zugangsdaten ein, um fortzufahren. Falls du deine Zugangsdaten vergessen hast, solltest du bei deinem Webhoster nachfragen.“ Welche Zugangsdaten sol ich eingeben?

    Betriebssystem: MacOS

    Server: XAMPP

    Folgender WordPress-Bericht:

    ### wp-core ###

    version: 6.2

    site_language: de_DE

    user_language: de_DE

    timezone: Europe/Berlin

    permalink: /index.php/%year%/%monthnum%/%day%/%postname%/

    https_status: false

    multisite: false

    user_registration: 0

    blog_public: 1

    default_comment_status: open

    environment_type: production

    user_count: 1

    dotorg_communication: true

    ### wp-paths-sizes ###

    wordpress_path: /Applications/XAMPP/xamppfiles/htdocs/wordpress

    wordpress_size: 53,19 MB (55774671 bytes)

    uploads_path: /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-content/uploads

    uploads_size: 19,02 MB (19946266 bytes)

    themes_path: /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-content/themes

    themes_size: 12,35 MB (12951623 bytes)

    plugins_path: /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-content/plugins

    plugins_size: 268,60 kB (275047 bytes)

    database_size: 1,66 MB (1736704 bytes)

    total_size: 86,48 MB (90684311 bytes)

    ### wp-active-theme ###

    name: Twenty Twenty-One (twentytwentyone)

    version: 1.8

    author: Das WordPress-Team

    author_website: https://de.wordpress.org/

    parent_theme: none

    theme_features: core-block-patterns, widgets-block-editor, automatic-feed-links, title-tag, post-formats, post-thumbnails, menus, html5, custom-logo, customize-selective-refresh-widgets, wp-block-styles, align-wide, editor-styles, editor-style, editor-font-sizes, custom-background, editor-color-palette, editor-gradient-presets, responsive-embeds, custom-line-height, experimental-link-color, custom-spacing, custom-units, widgets

    theme_path: /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-content/themes/twentytwentyone

    auto_update: Deaktiviert

    ### wp-themes-inactive (2) ###

    Twenty Twenty-Three: version: 1.1, author: Das WordPress-Team, Automatische Aktualisierungen deaktiviert

    Twenty Twenty-Two: version: 1.4, author: Das WordPress-Team, Automatische Aktualisierungen deaktiviert

    ### wp-plugins-inactive (2) ###

    Akismet Anti-Spam: version: 5.1, author: Automattic, Automatische Aktualisierungen deaktiviert

    Hello Dolly: version: 1.7.2, author: Matt Mullenweg, Automatische Aktualisierungen deaktiviert

    ### wp-media ###

    image_editor: WP_Image_Editor_GD

    imagick_module_version: Nicht verfügbar

    imagemagick_version: Nicht verfügbar

    imagick_version: Nicht verfügbar

    file_uploads: File uploads is turned off

    post_max_size: 40M

    upload_max_filesize: 40M

    max_effective_size: 40 MB

    max_file_uploads: 20

    gd_version: bundled (2.1.0 compatible)

    gd_formats: GIF, JPEG, PNG, BMP

    ghostscript_version: not available

    ### wp-server ###

    server_architecture: Darwin 20.6.0 x86_64

    httpd_software: Apache/2.4.54 (Unix) OpenSSL/1.1.1s PHP/8.2.0 mod_perl/2.0.12 Perl/v5.34.1

    php_version: 8.2.0 64bit

    php_sapi: apache2handler

    max_input_variables: 1000

    time_limit: 120

    memory_limit: 512M

    max_input_time: 60

    upload_max_filesize: 40M

    php_post_max_size: 40M

    curl_version: 7.53.1 OpenSSL/1.1.1s

    suhosin: false

    imagick_availability: false

    pretty_permalinks: true

    ### wp-database ###

    extension: mysqli

    server_version: 10.4.27-MariaDB

    client_version: mysqlnd 8.2.0

    max_allowed_packet: 1048576

    max_connections: 151

    ### wp-constants ###

    WP_HOME: undefined

    WP_SITEURL: undefined

    WP_CONTENT_DIR: /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-content

    WP_PLUGIN_DIR: /Applications/XAMPP/xamppfiles/htdocs/wordpress/wp-content/plugins

    WP_MEMORY_LIMIT: 40M

    WP_MAX_MEMORY_LIMIT: 512M

    WP_DEBUG: false

    WP_DEBUG_DISPLAY: true

    WP_DEBUG_LOG: false

    SCRIPT_DEBUG: false

    WP_CACHE: false

    CONCATENATE_SCRIPTS: undefined

    COMPRESS_SCRIPTS: undefined

    COMPRESS_CSS: undefined

    WP_ENVIRONMENT_TYPE: Nicht definiert

    DB_CHARSET: utf8mb4

    DB_COLLATE: undefined

    ### wp-filesystem ###

    wordpress: writable

    wp-content: writable

    uploads: writable

    plugins: writable

    themes: writable

Ansicht von 1 Antwort (von insgesamt 1)
  • Das haben wir doch lang und breit in diesem Thread besprochen: https://de.wordpress.org/support/topic/xampp-fehlermeldung-beim-hochladen-des-bildes/

    Wenn du ein Theme oder Plugin installieren möchtest und die Installation wegen falsch gesetzter Benutzerrechte fehlschlägt, versucht WordPress die Installation per FTP, benötigt dazu aber die Benutzerdaten eines FTP-Accounts. Die Lösung bei einer lokalen WordPress-Installation ist, die Benutzerrechte richtig zu setzen. Dazu müssen die Verzeichnisse auf den Wert 755 und Dateien auf 644 gesetzt werden und dem Benutzer zugeordnet werden, der PHP ausführen darf.

    Auf meinen Vorschlag, statt XAMPP (das unter MacOS eher selten genutzt wird) die Pakette Local-WP bzw. die deutschsprachige Variante Dev-Kinsta zu nutzen, bist du nicht weiter eingegangen.

Ansicht von 1 Antwort (von insgesamt 1)